__gnu_cxx::__pool_alloc< _Tp >(3)

NAME
__gnu_cxx::__pool_alloc< _Tp > - Allocator using a memory pool with a single lock.

SYNOPSIS

Inherits __gnu_cxx::__pool_alloc_base.

  Public Types
typedef const _Tp * const_pointer
typedef const _Tp & const_reference
typedef std::ptrdiff_t difference_type
typedef _Tp * pointer
typedef std::true_type propagate_on_container_move_assignment
typedef _Tp & reference
typedef std::size_t size_type
typedef _Tp value_type

  Public Member Functions
__pool_alloc (const __pool_alloc &) noexcept
template<typename _Tp1 > __pool_alloc (const __pool_alloc< _Tp1 > &) noexcept
const_pointer address (const_reference __x) const noexcept
pointer address (reference __x) const noexcept
pointer allocate (size_type __n, const void *=0)
template<typename _Up , typename... _Args> void construct (_Up *__p, _Args &&... __args)
void deallocate (pointer __p, size_type __n)
template<typename _Up > void destroy (_Up *__p)
size_type max_size () const noexcept

Detailed Description

  template<typename _Tp>
class __gnu_cxx::__pool_alloc< _Tp >" Allocator using a memory pool with a single lock.

Definition at line 124 of file pool_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.